package net.javajigi.abs.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.javajigi.abs.model.AirBookingService;
import net.javajigi.abs.model.ScheduleOrder;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/** 
 * @struts.action
 *      path="/paymentForm"
 *      input="/airplane4.jsp"
 *      scope="request"
 *      validate="false"
 *
 * @struts.action-forward
 *      name="success"
 *      path="/airplane5.jsp"
 */
public class PaymentFormAction extends SignonAction {
	public ActionForward doExecute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		int orderNo = Integer.parseInt(request.getParameter("orderNo"));

		AirBookingService abs = AirBookingService.getInstance();
		ScheduleOrder scheduleOrder = abs.findScheduleOrder(orderNo);

		request.setAttribute("scheduleOrder", scheduleOrder);

		return mapping.findForward("success");
	}
}
