package net.javajigi.abs.model;

public class PlaneOrder {
	private int orderNo = 0;
	private int scheduleSeatNo = 0;
	private int totalFee = 0;
	private ScheduleInfo scheduleInfo = null;
	private UserInfo userInfo = null;
	private CreditCardInfo creditCardInfo = null;
	
	public CreditCardInfo getCreditCardInfo() {
		return creditCardInfo;
	}

	public int getOrderNo() {
		return orderNo;
	}

	public ScheduleInfo getScheduleInfo() {
		return scheduleInfo;
	}

	public UserInfo getUserInfo() {
		return userInfo;
	}

	public void setCreditCardInfo(CreditCardInfo info) {
		creditCardInfo = info;
	}

	public void setOrderNo(int i) {
		orderNo = i;
	}

	public void setScheduleInfo(ScheduleInfo info) {
		scheduleInfo = info;
	}

	public void setUserInfo(UserInfo info) {
		userInfo = info;
	}

	public int getScheduleSeatNo() {
		return scheduleSeatNo;
	}

	public int getTotalFee() {
		if ( totalFee == 0 ) {
			return (Integer.parseInt(getScheduleInfo().getFee()) + 4000)
				* getScheduleSeatNo();			
		} else {
			return totalFee;	
		}
	}

	public void setScheduleSeatNo(int i) {
		scheduleSeatNo = i;
	}

	public void setTotalFee(int i) {
		totalFee = i;
	}

}
