package net.javajigi.petstore.action.category;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.javajigi.petstore.action.BaseAction;
import net.javajigi.petstore.model.PetStore;
import net.javajigi.petstore.model.domain.Category;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @struts.action
 *      name="categoryForm"
 *      path="/category"
 *      scope="request"
 *      validate="false"
 *
 * @struts.action-forward
 *      name="success"
 *      path="/category.jsp"
 */
public class CategoryAction extends BaseAction {
	protected ActionForward doExecute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		CategoryForm frm = (CategoryForm) form;
		String categoryId = frm.getCategoryId();
		PetStore petstore = getPetstore();

		/* Category*/
		Category category = petstore.getCategory(categoryId);
		frm.setCategoryValue(category);

		return mapping.findForward(SUCCESS);
	}
}
