package net.javajigi.petstore.action.item;

import net.javajigi.petstore.action.BaseForm;
import net.javajigi.petstore.model.domain.Item;
import net.javajigi.petstore.model.domain.Product;

/**
 * @author <a href="mailto:tchbansi@sourceforge.net">Herve Tchepannou</a>
 *
 * @struts.form
 *      name="itemForm"
 */
public class ItemForm extends BaseForm {
	private String _itemId;
	private Item _itemValue = new Item();
	private Product _productValue;

	/**
	 * @return String
	 */
	public String getItemId() {
		return _itemId;
	}

	/**
	 * @return ItemValue
	 */
	public Item getItemValue() {
		return _itemValue;
	}

	/**
	 * @return ProductValue
	 */
	public Product getProductValue() {
		return _productValue;
	}

	/**
	 * Sets the itemId.
	 * @param itemId The itemId to set
	 */
	public void setItemId(String itemId) {
		_itemId = itemId;
	}

	/**
	 * Sets the itemValue.
	 * @param itemValue The itemValue to set
	 */
	public void setItemValue(Item itemValue) {
		_itemValue = itemValue;
	}

	/**
	 * Sets the productValue.
	 * @param productValue The productValue to set
	 */
	public void setProductValue(Product productValue) {
		_productValue = productValue;
	}
}
