package net.javajigi.petstore.action.signon;

import javax.servlet.http.HttpServletRequest;

import net.javajigi.petstore.action.BaseForm;
import net.javajigi.petstore.model.domain.Account;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

/**
 * @author <a href="mailto:tchbansi@sourceforge.net">Herve Tchepannou</a>
 *
 * @struts.form
 *      name="signonForm"
 */
public class SignonForm extends BaseForm {
	private Account _accountValue = new Account();

	//~ Methods ----------------------------------------------------------------

	public ActionErrors validate(
		ActionMapping mapping,
		HttpServletRequest request) {
		ActionErrors errors = new ActionErrors();

		checkNotEmpty(_accountValue.getUserId(), "userId_required", errors);
		checkNotEmpty(_accountValue.getPassword(), "password_required", errors);

		return errors;
	}

	public Account getAccountValue() {
		return _accountValue;
	}

	public void setAccountValue(Account accountValue) {
		_accountValue = accountValue;
	}
}
