package net.javajigi.resource.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.javajigi.resource.form.UserAddForm;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @struts.action
 * 		attribute="useraddForm"
 * 		input="/useradd.jsp"
 *      path="/user"
 * 		name="useraddForm"
 *      scope="request"      
 *
 * @struts.action-forward
 *      name="list"
 *      path="/userList.jsp"
 */
public class UserAction extends Action{

	public ActionForward execute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		UserAddForm useraddForm = (UserAddForm) form;
	
		System.out.println("In UserAction UserId : " + useraddForm.getUserId());
		System.out.println("In UserAction Password : " + useraddForm.getPassword());
	
		return mapping.findForward("list");		
	}
}
