package net.javajigi.user.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.javajigi.user.form.UserForm;
import net.javajigi.user.model.User;
import net.javajigi.user.model.UserManager;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/** 
 * @struts.action
 *      name="userForm"
 *      path="/user_write"
 *      input="/user_write.jsp"
 *      scope="request"
 *      validate="true"
 *
 * @struts.action-forward
 *      name="user_list"
 *      path="/user_list.do"
 * 		redirect="true"
 */
public class InsertAction extends Action {
	/**
	 * request Ǿ ִ ڰ Userü Ͽ 
	 * UserManager create޽带 ȣϿ ο Խù
	 * ԷѴ. 
	 */
	public ActionForward execute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		//UserFormŬ ´.
		UserForm userForm = (UserForm) form;
		
		User user = new User();
		//UserForm Ǿ ִ   UserŬ Ѵ.		
		PropertyUtils.copyProperties(user, userForm);

		//𵨰 Ͽ ο ڸ .
		UserManager manager = UserManager.instance();
		manager.create(user);
		
		String forwardURL = "/switch.do?prefix=&page=/index.do";			
		//̵  .
		return new ActionForward(forwardURL, true);			
	}
}
