package net.javajigi.user.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.javajigi.abs.action.SignonAction;
import net.javajigi.user.form.UserForm;
import net.javajigi.user.model.User;
import net.javajigi.user.model.UserManager;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/** 
 * @struts.action
 *      path="/user_modifyForm"
 *      scope="request"
 *
 * @struts.action-forward
 *      name="user_modify"
 *      path="/user_modify.jsp"
 */
public class UpdateFormAction extends SignonAction {

	public ActionForward doExecute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		String userId = request.getParameter("userId");
			
		UserManager manager = UserManager.instance();
		User user = manager.findUser(userId);

		UserForm userForm = new UserForm();
		PropertyUtils.copyProperties(userForm, user);
		
		request.setAttribute("userForm", userForm);	

				
		return mapping.findForward("user_modify");
	}
}
